> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Card Token

> Update Token Details



## OpenAPI

````yaml put /tokens/{token}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /tokens/{token}:
    put:
      tags:
        - Tokenized Charges
      summary: Update a Card Token
      description: Update Token Details
      operationId: UpdateaCardToken
      parameters:
        - name: token
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/UpdateaCardTokenRequest'
                - example:
                    email: user@example.com
                    full_name: Kendrick Graham
                    phone_number: 0813XXXXXXX
            example:
              email: user@example.com
              full_name: Kendrick Graham
              phone_number: 0813XXXXXXX
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '216'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"d8-rwZqanskgxtoQJWuWIntvw"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 21 Jan 2020 19:45:27 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessfulExample'
                  - example:
                      status: success
                      message: Token details updated
                      data:
                        customer_email: user@example.com
                        customer_full_name: Kendrick Graham
                        customer_phone_number: 0813XXXXXXX
                        created_at: '2020-01-15T13:26:24.000Z'
              example:
                status: success
                message: Token details updated
                data:
                  customer_email: user@example.com
                  customer_full_name: Kendrick Graham
                  customer_phone_number: 0813XXXXXXX
                  created_at: '2020-01-15T13:26:24.000Z'
        '400':
          description: Bad Request
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '58'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3a-AP8hyyebt8xFQdG9ZfAGfg"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 21 Jan 2020 19:46:31 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorExample1'
                  - example:
                      status: error
                      message: Token not found
                      data: null
              example:
                status: error
                message: Token not found
                data: null
      deprecated: false
components:
  schemas:
    UpdateaCardTokenRequest:
      title: UpdateaCardTokenRequest
      required:
        - email
        - full_name
        - phone_number
      type: object
      properties:
        email:
          type: string
        full_name:
          type: string
        phone_number:
          type: string
      example:
        email: user@example.com
        full_name: Kendrick Graham
        phone_number: 0813XXXXXXX
    SuccessfulExample:
      title: SuccessfulExample
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data17'
      example:
        status: success
        message: Token details updated
        data:
          customer_email: user@example.com
          customer_full_name: Kendrick Graham
          customer_phone_number: 0813XXXXXXX
          created_at: '2020-01-15T13:26:24.000Z'
    ErrorExample1:
      title: ErrorExample1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Token not found
        data: null
    Data17:
      title: Data17
      required:
        - customer_email
        - customer_full_name
        - customer_phone_number
        - created_at
      type: object
      properties:
        customer_email:
          type: string
        customer_full_name:
          type: string
        customer_phone_number:
          type: string
        created_at:
          type: string
      example:
        customer_email: user@example.com
        customer_full_name: Kendrick Graham
        customer_phone_number: 0813XXXXXXX
        created_at: '2020-01-15T13:26:24.000Z'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````